---
title: "Create custom"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`POST /v2/reporter/reporting-intents/custom`

## Request body

_Required._

- `entityId` (`reporter-reporting-intents-create-custom.entityId`; string, required)
  - format `uuid`
- `name` (`reporter-reporting-intents-create-custom.name`; string, required)
  - minLength 1; maxLength 160
- `description` (`reporter-reporting-intents-create-custom.description`; string, required)
  - minLength 1; maxLength 1000
- `category` (`reporter-reporting-intents-create-custom.category`; string, required)
  - minLength 1; maxLength 120
- `schema` (`reporter-reporting-intents-create-custom.schema`; object, required)
  - `schemaVersion` (`reporter-reporting-intents-create-custom.schema.schemaVersion`; string, required)
    - minLength 1; maxLength 80
  - `periodDefaults` (`reporter-reporting-intents-create-custom.schema.periodDefaults`; object, required)
    - `period` (`reporter-reporting-intents-create-custom.schema.periodDefaults.period`; string, required)
      - one of `"current_month"`, `"previous_month"`, `"current_quarter"`, `"previous_quarter"`, `"current_year"`, `"previous_year"`, `"custom"`
    - `timezone` (`reporter-reporting-intents-create-custom.schema.periodDefaults.timezone`; string, optional)
      - minLength 1; maxLength 80; default `"UTC"`
  - `sections` (`reporter-reporting-intents-create-custom.schema.sections`; array<object>, required)
    - `id` (`reporter-reporting-intents-create-custom.schema.sections.id`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `name` (`reporter-reporting-intents-create-custom.schema.sections.name`; string, required)
      - minLength 1; maxLength 160
    - `order` (`reporter-reporting-intents-create-custom.schema.sections.order`; integer, required)
      - min 0
    - `description` (`reporter-reporting-intents-create-custom.schema.sections.description`; string, optional)
      - minLength 1; maxLength 1000
    - `required` (`reporter-reporting-intents-create-custom.schema.sections.required`; boolean, optional)
      - default `true`
    - `documentRole` (`reporter-reporting-intents-create-custom.schema.sections.documentRole`; string, optional)
      - minLength 1; maxLength 120
    - `providerReportName` (`reporter-reporting-intents-create-custom.schema.sections.providerReportName`; string, optional)
      - minLength 1; maxLength 120
    - `removable` (`reporter-reporting-intents-create-custom.schema.sections.removable`; boolean, optional)
      - default `false`
    - `includedByDefault` (`reporter-reporting-intents-create-custom.schema.sections.includedByDefault`; boolean, optional)
      - default `true`
    - `sourceLabel` (`reporter-reporting-intents-create-custom.schema.sections.sourceLabel`; string, optional)
      - minLength 1; maxLength 240
  - `lineItemMappings` (`reporter-reporting-intents-create-custom.schema.lineItemMappings`; array<object>, required)
    - `id` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.id`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `sectionId` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.sectionId`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `label` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.label`; string, required)
      - minLength 1; maxLength 160
    - `sourceLineItem` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.sourceLineItem`; string, required)
      - minLength 1; maxLength 240
    - `aggregation` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.aggregation`; string, optional)
      - one of `"sum"`, `"latest"`, `"average"`, `"manual"`; default `"sum"`
    - `required` (`reporter-reporting-intents-create-custom.schema.lineItemMappings.required`; boolean, optional)
      - default `true`
  - `outputPreferences` (`reporter-reporting-intents-create-custom.schema.outputPreferences`; object, required)
    - `formats` (`reporter-reporting-intents-create-custom.schema.outputPreferences.formats`; array<string>, optional)
      - one of `"summary"`, `"sfrs_json"`, `"xbrl"`, `"pdf"`; default `["summary"]`
    - `includeComparatives` (`reporter-reporting-intents-create-custom.schema.outputPreferences.includeComparatives`; boolean, optional)
      - default `false`
    - `includeSourceCitations` (`reporter-reporting-intents-create-custom.schema.outputPreferences.includeSourceCitations`; boolean, optional)
      - default `true`
  - `disclosures` (`reporter-reporting-intents-create-custom.schema.disclosures`; object, required)
    - `includeManagementNotes` (`reporter-reporting-intents-create-custom.schema.disclosures.includeManagementNotes`; boolean, optional)
      - default `true`
    - `includeAccountingPolicies` (`reporter-reporting-intents-create-custom.schema.disclosures.includeAccountingPolicies`; boolean, optional)
      - default `false`
    - `notes` (`reporter-reporting-intents-create-custom.schema.disclosures.notes`; string, optional)
      - maxLength 2000
  - `baseReporterIntentKey` (`reporter-reporting-intents-create-custom.schema.baseReporterIntentKey`; string, optional)
    - minLength 1; maxLength 120
  - `sourceType` (`reporter-reporting-intents-create-custom.schema.sourceType`; string, optional)
    - minLength 1; maxLength 120
  - `compatibleProviders` (`reporter-reporting-intents-create-custom.schema.compatibleProviders`; array<string>, optional)
    - minLength 1; maxLength 120; default `[]`
  - `goldenDocuments` (`reporter-reporting-intents-create-custom.schema.goldenDocuments`; array<object>, optional)
    - default `[]`
    - `id` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.id`; string, required)
      - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
    - `label` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.label`; string, required)
      - minLength 1; maxLength 180
    - `documentRole` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.documentRole`; string, required)
      - minLength 1; maxLength 120
    - `sourceType` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.sourceType`; string, required)
      - minLength 1; maxLength 120
    - `privacyClassification` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.privacyClassification`; string, required)
      - one of `"generated_sample"`, `"synthetic_redacted"`, `"redacted_customer_approved"`
    - `fixturePath` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.fixturePath`; string, optional)
      - minLength 1; maxLength 1000
    - `artifact` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact`; object, optional)
      - `artifactId` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact.artifactId`; string, optional)
        - minLength 1; maxLength 240
      - `artifactType` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact.artifactType`; string, optional)
        - minLength 1; maxLength 120
      - `storageKey` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact.storageKey`; string, optional)
        - minLength 1; maxLength 1000
      - `checksumSha256` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact.checksumSha256`; string, optional)
        - minLength 1; maxLength 128
      - `mimeType` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.artifact.mimeType`; string, optional)
        - minLength 1; maxLength 160
    - `expectedOutputSummary` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.expectedOutputSummary`; string, optional)
      - minLength 1; maxLength 2000
    - `approvalStatus` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.approvalStatus`; string, optional)
      - one of `"approved"`; default `"approved"`
    - `approvedByUserId` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.approvedByUserId`; string, optional)
      - minLength 1; maxLength 160
    - `approvedAt` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.approvedAt`; string, optional)
      - format `date-time`
    - `tags` (`reporter-reporting-intents-create-custom.schema.goldenDocuments.tags`; array<string>, optional)
      - minLength 1; maxLength 80; default `[]`
- `id` (`reporter-reporting-intents-create-custom.id`; string, optional)
  - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
- `version` (`reporter-reporting-intents-create-custom.version`; string, optional)
  - minLength 1; maxLength 80; default `"1.0.0"`

## Example request

```json
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "id": "string",
  "name": "string",
  "description": "string",
  "category": "string",
  "version": "1.0.0",
  "schema": {
    "schemaVersion": "string",
    "baseReporterIntentKey": "string",
    "sourceType": "string",
    "compatibleProviders": [],
    "periodDefaults": {
      "period": "current_month",
      "timezone": "UTC"
    },
    "sections": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "order": 0,
        "required": true,
        "documentRole": "string",
        "providerReportName": "string",
        "removable": false,
        "includedByDefault": true,
        "sourceLabel": "string"
      }
    ],
    "lineItemMappings": [
      {
        "id": "string",
        "sectionId": "string",
        "label": "string",
        "sourceLineItem": "string",
        "aggregation": "sum",
        "required": true
      }
    ],
    "outputPreferences": {
      "formats": [
        "summary"
      ],
      "includeComparatives": false,
      "includeSourceCitations": true
    },
    "disclosures": {
      "includeManagementNotes": true,
      "includeAccountingPolicies": false,
      "notes": "string"
    },
    "goldenDocuments": []
  }
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.sureshake.com/v2/reporter/reporting-intents/custom \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "id": "string",
  "name": "string",
  "description": "string",
  "category": "string",
  "version": "1.0.0",
  "schema": {
    "schemaVersion": "string",
    "baseReporterIntentKey": "string",
    "sourceType": "string",
    "compatibleProviders": [],
    "periodDefaults": {
      "period": "current_month",
      "timezone": "UTC"
    },
    "sections": [
      {
        "id": "string",
        "name": "string",
        "description": "string",
        "order": 0,
        "required": true,
        "documentRole": "string",
        "providerReportName": "string",
        "removable": false,
        "includedByDefault": true,
        "sourceLabel": "string"
      }
    ],
    "lineItemMappings": [
      {
        "id": "string",
        "sectionId": "string",
        "label": "string",
        "sourceLineItem": "string",
        "aggregation": "sum",
        "required": true
      }
    ],
    "outputPreferences": {
      "formats": [
        "summary"
      ],
      "includeComparatives": false,
      "includeSourceCitations": true
    },
    "disclosures": {
      "includeManagementNotes": true,
      "includeAccountingPolicies": false,
      "notes": "string"
    },
    "goldenDocuments": []
  }
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/reporting-intents/custom';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    entityId: '156e622c-6cdf-4c27-9bc9-2f2db69919f5',
    id: 'string',
    name: 'string',
    description: 'string',
    category: 'string',
    version: '1.0.0',
    schema: {
      schemaVersion: 'string',
      baseReporterIntentKey: 'string',
      sourceType: 'string',
      compatibleProviders: [],
      periodDefaults: {period: 'current_month', timezone: 'UTC'},
      sections: [
        {
          id: 'string',
          name: 'string',
          description: 'string',
          order: 0,
          required: true,
          documentRole: 'string',
          providerReportName: 'string',
          removable: false,
          includedByDefault: true,
          sourceLabel: 'string'
        }
      ],
      lineItemMappings: [
        {
          id: 'string',
          sectionId: 'string',
          label: 'string',
          sourceLineItem: 'string',
          aggregation: 'sum',
          required: true
        }
      ],
      outputPreferences: {formats: ['summary'], includeComparatives: false, includeSourceCitations: true},
      disclosures: {
        includeManagementNotes: true,
        includeAccountingPolicies: false,
        notes: 'string'
      },
      goldenDocuments: []
    }
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/reporting-intents/custom"

payload = {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "id": "string",
    "name": "string",
    "description": "string",
    "category": "string",
    "version": "1.0.0",
    "schema": {
        "schemaVersion": "string",
        "baseReporterIntentKey": "string",
        "sourceType": "string",
        "compatibleProviders": [],
        "periodDefaults": {
            "period": "current_month",
            "timezone": "UTC"
        },
        "sections": [
            {
                "id": "string",
                "name": "string",
                "description": "string",
                "order": 0,
                "required": True,
                "documentRole": "string",
                "providerReportName": "string",
                "removable": False,
                "includedByDefault": True,
                "sourceLabel": "string"
            }
        ],
        "lineItemMappings": [
            {
                "id": "string",
                "sectionId": "string",
                "label": "string",
                "sourceLineItem": "string",
                "aggregation": "sum",
                "required": True
            }
        ],
        "outputPreferences": {
            "formats": ["summary"],
            "includeComparatives": False,
            "includeSourceCitations": True
        },
        "disclosures": {
            "includeManagementNotes": True,
            "includeAccountingPolicies": False,
            "notes": "string"
        },
        "goldenDocuments": []
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "category": "string",
    "version": "string",
    "source": "predefined",
    "forkedFromIntentId": "string",
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "schema": {},
    "authoringState": "draft",
    "enabled": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-reporting-intents-create-custom.response.200.data`; object, required)
  - `id` (`reporter-reporting-intents-create-custom.response.200.data.id`; string, required)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `name` (`reporter-reporting-intents-create-custom.response.200.data.name`; string, required)
    - minLength 1; maxLength 160
  - `description` (`reporter-reporting-intents-create-custom.response.200.data.description`; string, required)
    - minLength 1; maxLength 1000
  - `category` (`reporter-reporting-intents-create-custom.response.200.data.category`; string, required)
    - minLength 1; maxLength 120
  - `version` (`reporter-reporting-intents-create-custom.response.200.data.version`; string, required)
    - minLength 1; maxLength 80
  - `source` (`reporter-reporting-intents-create-custom.response.200.data.source`; string, required)
    - one of `"predefined"`, `"custom"`
  - `forkedFromIntentId` (`reporter-reporting-intents-create-custom.response.200.data.forkedFromIntentId`; string, required, nullable)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `enabled` (`reporter-reporting-intents-create-custom.response.200.data.enabled`; boolean, required)
  - `createdAt` (`reporter-reporting-intents-create-custom.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`reporter-reporting-intents-create-custom.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `entityId` (`reporter-reporting-intents-create-custom.response.200.data.entityId`; string, optional, nullable)
    - format `uuid`
  - `schema` (`reporter-reporting-intents-create-custom.response.200.data.schema`; object, optional)
    - default `{}`
    - `goldenDocuments` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments`; array<object>, optional)
      - `id` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.id`; string, required)
        - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
      - `label` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.label`; string, required)
        - minLength 1; maxLength 180
      - `documentRole` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.documentRole`; string, required)
        - minLength 1; maxLength 120
      - `sourceType` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.sourceType`; string, required)
        - minLength 1; maxLength 120
      - `privacyClassification` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.privacyClassification`; string, required)
        - one of `"generated_sample"`, `"synthetic_redacted"`, `"redacted_customer_approved"`
      - `fixturePath` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.fixturePath`; string, optional)
        - minLength 1; maxLength 1000
      - `artifact` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact`; object, optional)
        - `artifactId` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact.artifactId`; string, optional)
          - minLength 1; maxLength 240
        - `artifactType` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact.artifactType`; string, optional)
          - minLength 1; maxLength 120
        - `storageKey` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact.storageKey`; string, optional)
          - minLength 1; maxLength 1000
        - `checksumSha256` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact.checksumSha256`; string, optional)
          - minLength 1; maxLength 128
        - `mimeType` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.artifact.mimeType`; string, optional)
          - minLength 1; maxLength 160
      - `expectedOutputSummary` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.expectedOutputSummary`; string, optional)
        - minLength 1; maxLength 2000
      - `approvalStatus` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.approvalStatus`; string, optional)
        - one of `"approved"`; default `"approved"`
      - `approvedByUserId` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.approvedByUserId`; string, optional)
        - minLength 1; maxLength 160
      - `approvedAt` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.approvedAt`; string, optional)
        - format `date-time`
      - `tags` (`reporter-reporting-intents-create-custom.response.200.data.schema.goldenDocuments.tags`; array<string>, optional)
        - minLength 1; maxLength 80; default `[]`
  - `authoringState` (`reporter-reporting-intents-create-custom.response.200.data.authoringState`; string, optional)
    - one of `"draft"`, `"ready"`; default `"ready"`
- `meta` (`reporter-reporting-intents-create-custom.response.200.meta`; object, optional)
  - `timestamp` (`reporter-reporting-intents-create-custom.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.400.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.401.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.403.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.404.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.409.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.422.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-create-custom.response.500.error`; object, required)
  - `code` (`reporter-reporting-intents-create-custom.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-create-custom.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-create-custom.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-create-custom.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-reporting-intents-create-custom/index.md
